<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-color:#fcfcfc;">
<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
  <tr>
    <td height="42"><table width="100%" height="42" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="263"><div style="height:42px;width:263px;"></div></td>
        <td style="background-image: url('images/top_bg.gif');background-position: left; background-repeat: repeat-x;"><div style="height:42px;width:517px;"></div></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="235" style="background-image: url('images/header_middlebg.gif');background-position: left bottom; background-repeat: repeat-x;"><table width="100%" height="235" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/header.jpg'); background-position: left; background-repeat: no-repeat;">
      <tr>
        <td align="left" valign="bottom"><table width="100%" height="235" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/header_rightbg.gif'); background-position: right; background-repeat: no-repeat;">
          <tr>
            <td align="left" valign="bottom"><table width="100%" height="235" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td align="right" valign="top"  style="padding-right:60px;padding-top:32px;"><!-- LOGO -->
  <table width="300" cellpadding="0" cellspacing="0">
    <tr>
      <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a></td>
              </tr>
    <tr>
      <td align="center" class="company" style="padding-top:10px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
    <tr>
      <td align="center" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
  </table>
  <!-- END LOGO --></td>
              </tr>
              <tr>
                <td height="40" align="right" valign="bottom"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="255"><div style="height:25px;width:255px;"></div></td>
                    <td align="right" valign="bottom"><table height="27" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="2" height="2"><img src="images/menubg_lefttop.gif"/></td>
        <td style="background-image: url('images/menubg_top.gif');background-repeat: repeat-x;"></td>
        <td width="2" height="2"><img src="images/menubg_righttop.gif"/></td>
      </tr>
      <tr>
        <td style="background-image: url('images/menubg_left.gif');background-repeat: repeat-y;"></td>
        <td><!-- MENU --><table border="0" cellspacing="0" cellpadding="0">
          <tr><xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
          <!-- END MENU --></td>
        <td style="background-image: url('images/menubg_right.gif');background-repeat: repeat-y;"></td>
      </tr>
    </table></td>
                    <td width="20"><div style="height:25px;width:20px;"></div></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        </tr>
      
    </table></td>
  </tr>
  <tr>
    <td height="1" style="background-color:#ffffff;"><img src="images/header_bottomline.gif"/></td>
  </tr>
  <tr>
    <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  style="background-image: url('images/txtback_bg2.gif');background-position: top;background-repeat: repeat;">
      <tr>
        <td width="245" valign="top"  style="background-color:#F4F4F4;"><div style="height:20px;width:20px;"></div>
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="20"><div style="height:25px;width:20px;"></div></td>
                <td align="left" valign="top"><!-- SUBMENU -->
                    <table width="212" border="0" cellpadding="1" cellspacing="1" bgcolor="#CDCDCD">
					<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                    </table>
                  <!-- END SUBMENU --></td>
              </tr>
          </table></td>
        <td rowspan="2" valign="top" style="background-image: url('images/txtback_bg1.gif');background-position: top;background-repeat: repeat-x;padding-left:10px;padding-right:18px;padding-top:20px;padding-bottom:30px;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td colspan="2"><table width="100%" border="0" cellpadding="1" cellspacing="1" bgcolor="#CCCACD">
              <tr>
                <td bgcolor="#FFFFFF"><table width="100%" border="0" cellspacing="0" cellpadding="0" style="background-image: url('images/txt_bg1.gif');background-repeat: repeat-x;">
                  <tr>
                    <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td valign="top"  style="padding-right:30px;padding-left:20px;padding-top:6px;padding-bottom:20px;"><!-- CONTENT -->
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      <td class="text-header" style="padding-left:15px;"><img src="images/txtheader_bullet.gif"/></td>
                    </tr>
                  </table>
                <div style="height:8px;width:329px;"><span></span></div>
                <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table><!-- END CONTENT --></td>
            </tr>
        </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
            <td width="2" valign="top" style="background-image: url('images/txt_shadow.gif');background-position: left;background-repeat: repeat-y;"><img src="images/txt_righttopbullet.gif"/><div style="height:2px;width:2px;"></div></td>
          </tr>
          
          <tr>
            <td align="right" valign="top" ><img src="images/txt_shadow.gif"/></td>
            <td width="99%" style="background-image: url('images/txt_shadow.gif');background-position: top;background-repeat: repeat-x;"><div style="height:2px;width:2px;"></div></td>
            <td width="2" style="background-image: url('images/txt_shadow.gif');background-position: top;background-repeat: repeat-x;"></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td align="right" valign="bottom"  style="background-color:#F4F4F4;"><img src="images/submenu_bottom.gif"/></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td height="145" valign="top" style="background-image: url('images/foot_bg1.jpg');background-position: top;background-repeat: repeat-x;"><div style="height:20px;width:px;"></div>
        <!-- FOOTER -->
        <div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
      <!-- END FOOTER --></td>
  </tr>
</table>
</BODY>

	</html>
</xsl:template>







<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu without link-->
	  <tr>
                        <td bgcolor="#FCFCFC"><table width="100%" border="0" cellspacing="0" cellpadding="0" style="background-image: url('images/submenua_bg2.gif');background-position: top;background-repeat: repeat;">
                            <tr>
                              <td ><table width="100%" height="25" border="0" cellpadding="0" cellspacing="0"  style="background-image: url('images/submenua_bg1.gif');background-position: top;background-repeat: repeat-x;">
                                  <tr>
                                    <td class="submenutable"><span class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                                  </tr>
                              </table></td>
                              <td width="20" align="right" valign="top"><img src="images/submenu_bullet2.gif"/></td>
                            </tr>
                        </table></td>
                      </tr>	
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu with link-->		
      <tr>
                        <td bgcolor="#FCFCFC"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td style="background-image: url('images/submenu_bg2.gif');background-position: top;background-repeat: repeat;"><table width="100%" height="25" border="0" cellpadding="0" cellspacing="0"  style="background-image: url('images/submenu_bg1.gif');background-position: top;background-repeat: repeat-x;">
                                  <tr>
                                    <td class="submenutable"><a href="{@HREF}" class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                                  </tr>
                              </table></td>
                              <td width="20" align="right" valign="top"><img src="images/submenu_bullet1.gif"/></td>
                            </tr>
                        </table></td>
                      </tr>
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->

	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   
		<!-- bottom-menu with link-->
        
		<!--end-->
		
		
        </xsl:when>
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		 
		<!-- bottom-menu without link--> 
         
		<!--end-->
		
		
		</xsl:when>
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
