<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%"  border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">
  <tr>
    <td height="321" align="left" valign="top" background="images/header01.gif">
	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/header02.gif);background-repeat: no-repeat;background-position: right top;">
      <tr>
        <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="240" align="left" valign="top"><table width="330"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="20" rowspan="5"></td>
                <td height="20"></td>
              </tr>
              <tr>
                <td style="padding-top:3px;padding-right:10px;"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
              </tr>
              <tr>
                <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
            <td width="350"><img src="images/space.gif" width="350" height="1"/></td>
          </tr>
          <tr>
            <td height="79" align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="56" align="left"><table  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="30"><img src="images/space.gif" width="30" height="20"/></td>
                    <xsl:call-template name="TOP-MENU"/>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td height="23" align="left" valign="middle">
				<table  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
						  <td><img src="images/text.gif" width="19" height="19" hspace="9"/></td>
                        </tr>
                      </table>
				</td>
              </tr>
            </table></td>
            <td></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td bgcolor="#F7F7F7"><img src="images/space.gif" width="780" height="1"/></td>
  </tr>
  <tr>
    <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="100%" height="100%" align="left" valign="top">
		<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" class="pageContent" >
<tr>
<td height="100%" align="left" valign="top" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table></td>
        <td width="44" align="left" valign="top"><img src="images/space.gif" width="44" height="1"/></td>
        <td width="380" align="right" valign="top"><table width="173"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="left" valign="top" background="images/sub2.gif">
			  <table width="100%" height="135"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/sub1.gif);background-repeat: repeat-y;background-position: left top;">
              <tr>
                <td height="25" colspan="2" align="center" valign="top"></td>
              </tr>
              <tr>
                <td colspan="2" align="center" valign="top">
				<table width="80%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                  </tr>
                </table></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td align="left" valign="top"><img src="images/sub3.gif" width="173" height="68"/></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="129" align="left" valign="top" background="images/down1.gif"><table width="100%" height="129"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="80"></td>
            <td></td>
          </tr>
          <tr>
            <td width="30"><img src="images/space.gif" width="30" height="1"/></td>
            <td align="left"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td width="381" align="right" valign="top"><img src="images/down.gif" width="381" height="129"/></td>
        </tr>
    </table></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td align="center"><img src="images/subicon.gif" width="10" height="9"/></td>
<td class="smenu">
<span class="smenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
</td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td align="center"><img src="images/subicon.gif" width="10" height="9"/></td>
<td class="smenu">
<a href="{@HREF}" class="smenua"> 
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a>
</td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2" height="1" bgcolor="#e4e4e4"><img src="images/space.gif" height="2"/></td>
</tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td class="bmenu"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="bmenu"><span class="bmenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
		<td class="bmenu"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td bgcolor="#FFFFFF"><img src="images/space.gif" width="2" height="12"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
