<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			
<!-- menu with link -->
<td valign="top" style="background-image: url('images/menua_bg2.gif');background-position: top;background-repeat: repeat;"><table width="100%" height="25" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td align="center" class="menutable" style="background-image: url('images/menua_bg1.gif');background-position: top;background-repeat: repeat-x;"><a href="{@HREF}" class="menua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                  <td width="21" align="right" valign="middle" style="background-image: url('images/menua_bg1.gif');background-position: top;background-repeat: repeat-x;"><img src="images/menu_bullet2.gif"/></td>
                </tr>
            </table><img src="images/menu_botline.gif"/></td>
<!--end-->
			  
			
            </xsl:when>
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
<!-- menu without link-->			
<td valign="top" style="background-image: url('images/menua_bg2.gif');background-position: top;background-repeat: repeat;"><table width="100%" height="25" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td align="center" class="menutable" style="background-image: url('images/menua_bg1.gif');background-position: top;background-repeat: repeat-x;"><span class="menua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                  <td width="21" align="right" valign="middle" style="background-image: url('images/menua_bg1.gif');background-position: top;background-repeat: repeat-x;"><img src="images/menu_bullet2.gif"/></td>
                </tr>
            </table><img src="images/menu_botline.gif"/></td>
<!--end-->
			  
            
			</xsl:when>
            <xsl:otherwise>
			
<!-- menu click link -->			
<td valign="top" style="background-image: url('images/menu_bg2.gif');background-position: top;background-repeat: repeat;"><table width="100%" height="25" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td align="center" class="menutable" style="background-image: url('images/menu_bg1.gif');background-position: top;background-repeat: repeat-x;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                  <td width="21" align="right" valign="middle" style="background-image: url('images/menu_bg1.gif');background-position: top;background-repeat: repeat-x;"><img src="images/bullet.gif"/></td>
                </tr>
            </table><img src="images/menu_botline.gif"/></td>
<!--end-->
			  
			  
        </xsl:otherwise>
		</xsl:choose>
        <xsl:if test="position()!=last()">
<!-- menu no last-->
<!--end-->
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
